<template>
  <!-- A nice hack to make CSS variables dynamically editable by Vue.js: include them in the default template! -->
  <style>
    :root {
      --color-primary: {{ get.primary | toRGB }};

      --color-background: 235,235,235;
      --color-foreground: 250,250,250;
      --color-foreground-grey: 245,246,246;
      --color-foreground-grey-dark: 234,236,237;
      --color-overlay: 31,38,49;
      --color-shadow: 49,54,68;
      --color-shadow-dark: 6,13,34;
      --color-text: 75,87,100;
      --color-text-invert: 27,33,40;
      --color-text-light: 122,133,143;
      --color-text-lighter: 146,153,161;
      --color-text-bright: 237,241,245;

      --color-foreground-blue: 246,248,251;
      --color-foreground-blue-dark: 241,243,247;
      --color-background-blue-dark: 31,35,45;
      --color-blue: 61,180,242;
      --color-blue-dim: 141,178,219;
      --color-white: 255,255,255;
      --color-black: 0,0,0;
      --color-red: 232,93,117;
      --color-peach: 250,122,122;
      --color-orange: 247,154,99;
      --color-yellow: 247,191,99;
      --color-green: 123,213,85;
    }
  </style>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  computed: {
    ...mapGetters('theme', ['get'])
  }
}
</script>
